@charset "UTF-8";
/* Theme Switcher Styles */
/* @mixin theme($--bg-color, $--primary-text-color, $--secondary-text-color, $--link-color, $--visited-link-color, $--highlight, $--title) { */
body[a=dark] {
  background-color: #0c0c0c;
  color: #eaeaea;
}
body[a=dark] a {
  color: #4990fc;
  text-decoration: none;
}
body[a=dark] a:visited {
  color: #94befc;
}
body[a=dark] a:hover {
  text-decoration: underline;
}
body[a=dark] details summary {
  color: #4990fc;
  text-decoration: none;
}
body[a=dark] .site-title {
  color: #eaeaea;
}
body[a=dark] code:not(pre > code) {
  background-color: #eaeaea;
  color: #0c0c0c;
}
body[a=dark] *:target {
  background: #042659;
  color: #eaeaea;
}
body[a=dark] table, body[a=dark] th, body[a=dark] td {
  border: thin solid #eaeaea;
}
body[a=dark] .toc {
  border: thin solid #4990fc;
  padding: 1rem;
}
body[a=dark] .ascii {
  font-size: 65%;
  line-height: 1;
  background: #0c0c0c;
}
body[a=dark] figcaption {
  color: #333333;
}

body[a=light] {
  background-color: #ffffff;
  color: #212121;
}
body[a=light] a {
  color: #0066ff;
  text-decoration: none;
}
body[a=light] a:visited {
  color: #004dc1;
}
body[a=light] a:hover {
  text-decoration: underline;
}
body[a=light] details summary {
  color: #0066ff;
  text-decoration: none;
}
body[a=light] .site-title {
  color: #212121;
}
body[a=light] code:not(pre > code) {
  background-color: #212121;
  color: #ffffff;
}
body[a=light] *:target {
  background: #FFFF00;
  color: #212121;
}
body[a=light] table, body[a=light] th, body[a=light] td {
  border: thin solid #212121;
}
body[a=light] .toc {
  border: thin solid #0066ff;
  padding: 1rem;
}
body[a=light] .ascii {
  font-size: 65%;
  line-height: 1;
  background: #ffffff;
}
body[a=light] figcaption {
  color: #dfedff;
}

body[a=matrix] {
  background-color: #000a1a;
  color: #c4ffc6;
}
body[a=matrix] a {
  color: #c0ff00;
  text-decoration: none;
}
body[a=matrix] a:visited {
  color: #c0ff00;
}
body[a=matrix] a:hover {
  text-decoration: underline;
}
body[a=matrix] details summary {
  color: #c0ff00;
  text-decoration: none;
}
body[a=matrix] .site-title {
  color: #c4ffc6;
}
body[a=matrix] code:not(pre > code) {
  background-color: #c4ffc6;
  color: #000a1a;
}
body[a=matrix] *:target {
  background: #007A35;
  color: #c4ffc6;
}
body[a=matrix] table, body[a=matrix] th, body[a=matrix] td {
  border: thin solid #c4ffc6;
}
body[a=matrix] .toc {
  border: thin solid #c0ff00;
  padding: 1rem;
}
body[a=matrix] .ascii {
  font-size: 65%;
  line-height: 1;
  background: #000a1a;
}
body[a=matrix] figcaption {
  color: #161616;
}

body[a=bear] {
  background-color: #01242e;
  color: #eee;
}
body[a=bear] a {
  color: #8cc2dd;
  text-decoration: none;
}
body[a=bear] a:visited {
  color: #8cc2dd;
}
body[a=bear] a:hover {
  text-decoration: underline;
}
body[a=bear] details summary {
  color: #8cc2dd;
  text-decoration: none;
}
body[a=bear] .site-title {
  color: #eee;
}
body[a=bear] code:not(pre > code) {
  background-color: #eee;
  color: #01242e;
}
body[a=bear] *:target {
  background: #003544;
  color: #eee;
}
body[a=bear] table, body[a=bear] th, body[a=bear] td {
  border: thin solid #eee;
}
body[a=bear] .toc {
  border: thin solid #8cc2dd;
  padding: 1rem;
}
body[a=bear] .ascii {
  font-size: 65%;
  line-height: 1;
  background: #01242e;
}
body[a=bear] figcaption {
  color: #eee;
}

body[a=together] {
  background-color: #28010e;
  color: #db9ab1;
}
body[a=together] a {
  color: #c61783;
  text-decoration: none;
}
body[a=together] a:visited {
  color: #c61783;
}
body[a=together] a:hover {
  text-decoration: underline;
}
body[a=together] details summary {
  color: #c61783;
  text-decoration: none;
}
body[a=together] .site-title {
  color: #c61783;
}
body[a=together] code:not(pre > code) {
  background-color: #db9ab1;
  color: #28010e;
}
body[a=together] *:target {
  background: #6d0326;
  color: #db9ab1;
}
body[a=together] table, body[a=together] th, body[a=together] td {
  border: thin solid #db9ab1;
}
body[a=together] .toc {
  border: thin solid #c61783;
  padding: 1rem;
}
body[a=together] .ascii {
  font-size: 65%;
  line-height: 1;
  background: #28010e;
}
body[a=together] figcaption {
  color: #db9ab1;
}

@media (prefers-color-scheme: dark) {
  body[a=auto] {
    background-color: #0c0c0c;
    color: #eaeaea;
  }
  body[a=auto] a {
    color: #4990fc;
    text-decoration: none;
  }
  body[a=auto] a:visited {
    color: #94befc;
  }
  body[a=auto] a:hover {
    text-decoration: underline;
  }
  body[a=auto] details summary {
    color: #4990fc;
    text-decoration: none;
  }
  body[a=auto] .site-title {
    color: #eaeaea;
  }
  body[a=auto] code:not(pre > code) {
    background-color: #eaeaea;
    color: #0c0c0c;
  }
  body[a=auto] *:target {
    background: #042659;
    color: #eaeaea;
  }
  body[a=auto] table, body[a=auto] th, body[a=auto] td {
    border: thin solid #eaeaea;
  }
  body[a=auto] .toc {
    border: thin solid #4990fc;
    padding: 1rem;
  }
  body[a=auto] .ascii {
    font-size: 65%;
    line-height: 1;
    background: #0c0c0c;
  }
  body[a=auto] figcaption {
    color: #333333;
  }
}
@media (prefers-color-scheme: light) {
  body[a=auto] {
    background-color: #ffffff;
    color: #212121;
  }
  body[a=auto] a {
    color: #0066ff;
    text-decoration: none;
  }
  body[a=auto] a:visited {
    color: #004dc1;
  }
  body[a=auto] a:hover {
    text-decoration: underline;
  }
  body[a=auto] details summary {
    color: #0066ff;
    text-decoration: none;
  }
  body[a=auto] .site-title {
    color: #212121;
  }
  body[a=auto] code:not(pre > code) {
    background-color: #212121;
    color: #ffffff;
  }
  body[a=auto] *:target {
    background: #FFFF00;
    color: #212121;
  }
  body[a=auto] table, body[a=auto] th, body[a=auto] td {
    border: thin solid #212121;
  }
  body[a=auto] .toc {
    border: thin solid #0066ff;
    padding: 1rem;
  }
  body[a=auto] .ascii {
    font-size: 65%;
    line-height: 1;
    background: #ffffff;
  }
  body[a=auto] figcaption {
    color: #dfedff;
  }
}
/* Global Styles */
html {
  height: 100%;
}

body {
  font-family: monospace;
  font-size: 16px;
  line-height: 1.4;
  margin: 0;
  min-height: 80%;
  overflow-wrap: break-word;
}

.post-meta {
  text-align: right;
}

.back-and-meta {
  margin-top: 2rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

h2, h3, h4, h5, h6 {
  margin-top: 0.5rem;
}

hr {
  margin: 2rem 0;
}

p {
  margin: 1rem 0;
}

li {
  margin: 0.4rem 0;
}

.w {
  max-width: 700px;
  margin: 0 auto;
  padding: 0rem 2rem;
}

.toc {
  padding: 1rem;
}

hr {
  text-align: center;
  border: 0;
}
hr:before {
  content: "•••";
}
hr:after {
  content: attr(data-content) "•••";
}

pre {
  background: black;
  padding: 1em;
  overflow-x: auto; /* Fix pre content overflowing parent without scroll bar */
}

table {
  width: 100%;
}

table, th, td {
  border: thin solid black;
  border-collapse: collapse;
  padding: 0.4rem;
}

code:not(pre > code) {
  padding: 0.1em 0.2em;
  font-size: 90%;
}

code.has-jax {
  -webkit-font-smoothing: antialiased;
  background: inherit !important;
  border: none !important;
  font-size: 100%;
}

blockquote {
  font-style: italic;
  border: thin solid black;
  padding: 1rem;
}
blockquote p {
  margin: 0;
}

img {
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

figcaption {
  text-align: center;
  opacity: 0.5;
}

/* Custom Header Styles */
.site-header {
  margin-bottom: 0.5rem; /* Zmniejsza odstęp między nagłówkiem a zawartością */
}

.site-title {
  margin-bottom: 0.1rem; /* Jeszcze mniejszy odstęp między tytułem a nawigacją */
  font-size: 2rem;
}

.header-nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 0.1rem;
  flex-wrap: wrap;
}

.menu-links {
  display: flex;
  gap: 1rem;
}

.language-switcher {
  display: flex;
  gap: 0.5rem;
}

pre {
  color: white;
}
